%define major 5

%define libname %mklibname smesh %{major}
%define develname %mklibname smesh -d

Name:           smesh
Version:        5.1.2.2
Release:        %mkrel 7
Summary:        OpenCascade based MESH framework
Group:          Graphics/3D

# This library is LGPLv2 with exceptions but links against the non-free library OCE.
License:        LGPLv2
URL:            https://sourceforge.net/projects/salomesmesh

# Source is svn checkout since the last release is too old:
# https://salomesmesh.svn.sourceforge.net/svnroot/salomesmesh/trunk
Source0:        smesh-5.1.2.2-svn55.tar.gz

# Patch emailed upstream to Fotios Sioutis <sfotis@gmail.com>
# on 12/21/11.
# Patch emailed upstream to Fotios Sioutis <sfotis@gmail.com>
# on 12/21/11.
Patch0:         smesh.patch
Patch1:         smesh-cmake_fixes.patch
Patch2:         smesh-5.1.2.2-pi_to_m_pi.patch
# http://tracker.dev.opencascade.org/view.php?id=23487
Patch3:         smesh-OCE_0.13_port.patch
# Extracted the CR/LF patch from smesh.patch.

BuildRequires:  cmake
BuildRequires:  doxygen
BuildRequires:  boost-devel
BuildRequires:  gcc-gfortran
BuildRequires:  f2c
BuildRequires:  dos2unix
BuildRequires:  opencascade-devel
BuildRequires:  graphviz

%description
A complete OpenCascade based MESH framework.

%package -n %{libname}
Summary:        OpenCascade based MESH framework
Requires:       %{name} = %{version}-%{release}

%description -n %{libname}
A complete OpenCascade based MESH framework.

%package -n %{develname}
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files and headers for %{name}.

%prep
%setup -q -c %{name}-%{version}
%autopatch -p1
# We need to perform this due to a CR+LF line ending problem.
perl -lap -i -e 's/SMESH_IsEqual/IsEqual/g' inc/SMESH_IndexedMap.hxx

%{_bindir}/dos2unix -k LICENCE.lgpl.txt

%build
export LDFLAGS='-Wl,--as-needed'
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DOCC_INCLUDE_PATH=%{_includedir}/opencascade \
       ..

%make

# Build documentation
%make doc

# Remove install script since we don't need it.
%__rm -f doc/html/installdox


%install
pushd build
%makeinstall_std

%files
%doc LICENCE.lgpl.txt

%files -n %{libname}
%{_libdir}/*.so.%{major}.*

%files -n %{develname}
%doc doc/html
%{_includedir}/*
%{_libdir}/*.so




%changelog
* Sun Oct 16 2016 tv <tv> 5.1.2.2-7.mga6
+ Revision: 1061024
- switch to %%autosetup (mga#15579)

* Tue Feb 09 2016 umeabot <umeabot> 5.1.2.2-6.mga6
+ Revision: 952018
- Mageia 6 Mass Rebuild

* Tue Jan 13 2015 shlomif <shlomif> 5.1.2.2-5.mga5
+ Revision: 810335
- Importing smesh (thanks to Richard Houser)

